Custom fields — links and links templates
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Links

Using Long Text and Text as a type of field it is impossible to add an active link — Now it will be displayed as a plain text.

It will be great to add the type Link for links

Now http://com.com

Will be great to display http://com.com

Links templates

Sometimes it is helpful to fill custom field with ID.

This ID should be searchable, but it can be a link — so it will be helpful to configure the prefix, e.g

ID (in ticket) RS0212

Prefix (in custom field settings) http://somedomain.home/?id%?type

Link (in result) http://somedomain.home/?id*RS0212*?type

Display as (in ticket) RS0212

Improvement for Category

It will be great to display category as a link to the search page e.g.

http://www.redmine.org/projects/redmine/issues?set_filter=1&f%5B%5D=category_id&op%5Bcategory_id%5D=%3D&v%5Bcategory

_id%5D%5B%5D=14&f%5B%5D=&c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=subject&c%5B%5D=updated_on&c%5B%5

D=category

History

#1 - 2012-10-07 10:18 - Andriy Lesyuk

Check the Extended Fields plugin.

#2 - 2013-11-16 10:29 - Jean-Philippe Lang

- Status changed from New to Closed

See #1358.

#3 - 2013-11-16 10:29 - Jean-Philippe Lang

- Resolution set to Duplicate
